org.apache.lucene.index

## Class OwnCacheKeyMultiReader

- java.lang.Object
- - org.apache.lucene.index.IndexReader
  - - org.apache.lucene.index.CompositeReader
    - - org.apache.lucene.index.BaseCompositeReader<IndexReader>
      - - org.apache.lucene.index.MultiReader
        - - org.apache.lucene.index.OwnCacheKeyMultiReader

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class OwnCacheKeyMultiReader
      extends MultiReader

  A `MultiReader` that has its own cache key, occasionally useful for testing purposes.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

      `IndexReader.CacheHelper, IndexReader.CacheKey, IndexReader.ClosedListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OwnCacheKeyMultiReader(IndexReader... subReaders)` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexReader.CacheHelper` | `getReaderCacheHelper()`

    - ### Methods inherited from class org.apache.lucene.index.MultiReader

      `doClose`

    - ### Methods inherited from class org.apache.lucene.index.BaseCompositeReader

      `docFreq, document, getDocCount, getSequentialSubReaders, getSumDocFreq, getSumTotalTermFreq, getTermVectors, maxDoc, numDocs, readerBase, readerIndex, totalTermFreq`

    - ### Methods inherited from class org.apache.lucene.index.CompositeReader

      `getContext, toString`

    - ### Methods inherited from class org.apache.lucene.index.IndexReader

      `close, decRef, document, document, ensureOpen, equals, getRefCount, getTermVector, hasDeletions, hashCode, incRef, leaves, numDeletedDocs, registerParentReader, tryIncRef`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OwnCacheKeyMultiReader

          public OwnCacheKeyMultiReader(IndexReader... subReaders)
                                 throws IOException

      Sole constructor.
      Throws:
        `IOException`

  - ### Method Detail

    - #### getReaderCacheHelper

          public IndexReader.CacheHelper getReaderCacheHelper()

      Overrides:
        `getReaderCacheHelper` in class `MultiReader`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.